function main(self)
    if self.State == 0 then
		self:SetAnimation("CUSTOM_CYCLE72")
		self.countTime = GetTime() + 430
		self.State = 1
	end

	if self.State == 1 then
		self:AnimationStep()
		if GetTime() > self.countTime then
			self:Destroy()
		end
	end
end